Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'build_files')
-rw-r--r--build_files/build_environment/cmake/harvest.cmake6
-rwxr-xr-xbuild_files/build_environment/install_deps.sh175
-rw-r--r--build_files/cmake/platform/platform_unix.cmake4
-rwxr-xr-xbuild_files/package_spec/build_debian.sh43
-rw-r--r--build_files/package_spec/debian/changelog5
-rw-r--r--build_files/package_spec/debian/compat1
-rw-r--r--build_files/package_spec/debian/control24
-rw-r--r--build_files/package_spec/debian/copyright41
-rw-r--r--build_files/package_spec/debian/docs2
-rw-r--r--build_files/package_spec/debian/menu4
-rwxr-xr-xbuild_files/package_spec/debian/rules44
-rw-r--r--build_files/package_spec/debian/source/format1
-rw-r--r--build_files/package_spec/debian/watch3
-rw-r--r--build_files/package_spec/pacman/PKGBUILD66
-rw-r--r--build_files/package_spec/pacman/blender.install29
-rw-r--r--build_files/package_spec/rpm/blender.spec.in88
16 files changed, 133 insertions, 403 deletions
diff --git a/build_files/build_environment/cmake/harvest.cmake b/build_files/build_environment/cmake/harvest.cmake
index 5b5c254b150..5fb62e330af 100644
--- a/build_files/build_environment/cmake/harvest.cmake
+++ b/build_files/build_environment/cmake/harvest.cmake
@@ -62,14 +62,8 @@ if(BUILD_MODE STREQUAL Debug)
# OpenImageIO
COMMAND ${CMAKE_COMMAND} -E copy ${LIBDIR}/openimageio/lib/OpenImageIO.lib ${HARVEST_TARGET}/openimageio/lib/OpenImageIO_d.lib &&
${CMAKE_COMMAND} -E copy ${LIBDIR}/openimageio/lib/OpenImageIO_Util.lib ${HARVEST_TARGET}/openimageio/lib/OpenImageIO_Util_d.lib &&
- # python
- ${CMAKE_COMMAND} -E copy_directory ${LIBDIR}/python/ ${HARVEST_TARGET}/python/ &&
# hdf5
${CMAKE_COMMAND} -E copy_directory ${LIBDIR}/hdf5/lib ${HARVEST_TARGET}/hdf5/lib &&
- # numpy
- ${CMAKE_COMMAND} -E copy ${LIBDIR}/python${PYTHON_SHORT_VERSION_NO_DOTS}_numpy_${NUMPY_SHORT_VERSION}d.tar.gz ${HARVEST_TARGET}/Release/python${PYTHON_SHORT_VERSION_NO_DOTS}_numpy_${NUMPY_SHORT_VERSION}d.tar.gz &&
- # python
- ${CMAKE_COMMAND} -E copy ${LIBDIR}/python${PYTHON_SHORT_VERSION_NO_DOTS}_d.tar.gz ${HARVEST_TARGET}/Release/python${PYTHON_SHORT_VERSION_NO_DOTS}_d.tar.gz
DEPENDS Package_Python
)
endif()
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index dd15fb0d2ed..bc9ee802810 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -19,7 +19,32 @@
# A shell script installing/building all needed dependencies to build Blender, for some Linux distributions.
-##### Args and Help Handling #####
+# ----------------------------------------------------------------------------
+# Debugging Helpers
+#
+# Use for developing this script (keep first).
+
+# Useful for debugging this script:
+USE_DEBUG_TRAP=${USE_DEBUG_TRAP:-0}
+USE_DEBUG_LOG=${USE_DEBUG_LOG:-0}
+
+# Print the line that exits.
+if [ $USE_DEBUG_TRAP -ne 0 ]; then
+ err_report() {
+ echo "Error on line $1"
+ exit 1
+ }
+ trap 'err_report $LINENO' ERR
+fi
+
+# Noisy, show every line that runs with it's line number.
+if [ $USE_DEBUG_LOG -ne 0 ]; then
+ PS4='\e[0;33m$(printf %4d ${LINENO}):\e\033[0m '
+ set -x
+fi
+
+# ----------------------------------------------------------------------------
+# Args and Help Handling
# Parse command line!
ARGS=$( \
@@ -305,7 +330,8 @@ ARGUMENTS_INFO="\"COMMAND LINE ARGUMENTS:
--skip-ffmpeg
Unconditionally skip FFMpeg installation/building.\""
-##### Main Vars #####
+# ----------------------------------------------------------------------------
+# Main Vars
DO_SHOW_DEPS=false
@@ -447,7 +473,8 @@ LANG_BACK=$LANG
LANG=""
export LANG
-##### Generic Helpers #####
+# ----------------------------------------------------------------------------
+# Generic Helpers
BLACK=$(tput setaf 0)
RED=$(tput setaf 1)
@@ -489,7 +516,8 @@ PRINT() {
_echo "$@"
}
-##### Args Handling #####
+# ----------------------------------------------------------------------------
+# Args Handling
# Finish parsing the commandline args.
eval set -- "$ARGS"
@@ -892,7 +920,8 @@ CXXFLAGS_BACK=$CXXFLAGS
CXXFLAGS="$CXXFLAGS -std=c++11"
export CXXFLAGS
-#### Show Dependencies ####
+# ----------------------------------------------------------------------------
+# Show Dependencies
# Need those to be after we defined versions...
DEPS_COMMON_INFO="\"COMMON DEPENDENCIES:
@@ -940,9 +969,8 @@ if [ "$DO_SHOW_DEPS" = true ]; then
exit 0
fi
-
-
-##### Generic Helpers #####
+# ----------------------------------------------------------------------------
+# Generic Helpers
# Check return code of wget for success...
download() {
@@ -965,15 +993,25 @@ download() {
fi
}
+version_sanitize() {
+ # Remove suffix such as '1.3_RC2', keeping only '1.3'.
+ # Needed for numeric comparisons.
+ local val=$(sed -r 's/^([^_]+).*/\1/' <<< "$1")
+ # Remove trailing punctuation such as '1.0.', keeping only '1.0'.
+ val=$(sed -r 's/[[:punct:]]*$//g' <<< "$val")
+ echo $val
+}
+
# Return 0 if $1 = $2 (i.e. 1.01.0 = 1.1, but 1.1.1 != 1.1), else 1.
# $1 and $2 should be version numbers made of numbers only.
version_eq() {
- backIFS=$IFS
- IFS='.'
+ local VER_1=$(version_sanitize "$1")
+ local VER_2=$(version_sanitize "$2")
+ local IFS='.'
# Split both version numbers into their numeric elements.
- arr1=( $1 )
- arr2=( $2 )
+ arr1=( $VER_1 )
+ arr2=( $VER_2 )
ret=1
@@ -983,8 +1021,8 @@ version_eq() {
_t=$count1
count1=$count2
count2=$_t
- arr1=( $2 )
- arr2=( $1 )
+ arr1=( $VER_2 )
+ arr2=( $VER_1 )
fi
ret=0
@@ -1004,7 +1042,6 @@ version_eq() {
fi
done
- IFS=$backIFS
return $ret
}
@@ -1035,12 +1072,13 @@ version_ge_lt() {
# $1 and $2 should be version numbers made of numbers only.
# $1 should be at least as long as $2!
version_match() {
- backIFS=$IFS
- IFS='.'
+ local VER_1=$(version_sanitize "$1")
+ local VER_2=$(version_sanitize "$2")
+ local IFS='.'
# Split both version numbers into their numeric elements.
- arr1=( $1 )
- arr2=( $2 )
+ arr1=( $VER_1 )
+ arr2=( $VER_2 )
ret=1
@@ -1057,11 +1095,12 @@ version_match() {
done
fi
- IFS=$backIFS
return $ret
}
-##### Generic compile helpers #####
+# ----------------------------------------------------------------------------
+# Generic compile helpers
+
prepare_opt() {
INFO "Ensuring $INST exists and is writable by us"
if [ ! $SUDO ]; then
@@ -1123,7 +1162,9 @@ run_ldconfig() {
PRINT ""
}
-#### Build Python ####
+# ----------------------------------------------------------------------------
+# Build Python
+
_init_python() {
_src=$SRC/Python-$PYTHON_VERSION
_git=false
@@ -1192,7 +1233,9 @@ compile_Python() {
fi
}
-##### Build Numpy #####
+# ----------------------------------------------------------------------------
+# Build Numpy
+
_init_numpy() {
_src=$SRC/numpy-$NUMPY_VERSION
_git=false
@@ -1259,7 +1302,9 @@ compile_Numpy() {
fi
}
-#### Build Boost ####
+# ----------------------------------------------------------------------------
+# Build Boost
+
_init_boost() {
_src=$SRC/boost-$BOOST_VERSION
_git=false
@@ -1337,7 +1382,9 @@ compile_Boost() {
run_ldconfig "boost"
}
-#### Build OCIO ####
+# ----------------------------------------------------------------------------
+# Build OCIO
+
_init_ocio() {
_src=$SRC/OpenColorIO-$OCIO_VERSION
if [ "$OCIO_USE_REPO" = true ]; then
@@ -1452,7 +1499,9 @@ compile_OCIO() {
run_ldconfig "ocio"
}
-#### Build ILMBase ####
+# ----------------------------------------------------------------------------
+# Build ILMBase
+
_init_ilmbase() {
_src=$SRC/ILMBase-$ILMBASE_VERSION
_git=false
@@ -1543,7 +1592,9 @@ compile_ILMBASE() {
magic_compile_set ilmbase-$ILMBASE_VERSION $ilmbase_magic
}
-#### Build OpenEXR ####
+# ----------------------------------------------------------------------------
+# Build OpenEXR
+
_init_openexr() {
_src=$SRC/OpenEXR-$OPENEXR_VERSION
_git=true
@@ -1663,7 +1714,9 @@ compile_OPENEXR() {
run_ldconfig "openexr"
}
-#### Build OIIO ####
+# ----------------------------------------------------------------------------
+# Build OIIO
+
_init_oiio() {
_src=$SRC/OpenImageIO-$OIIO_VERSION
_git=true
@@ -1804,7 +1857,9 @@ compile_OIIO() {
run_ldconfig "oiio"
}
-#### Build LLVM ####
+# ----------------------------------------------------------------------------
+# Build LLVM
+
_init_llvm() {
_src=$SRC/LLVM-$LLVM_VERSION
_src_clang=$SRC/CLANG-$LLVM_VERSION
@@ -1904,7 +1959,9 @@ compile_LLVM() {
fi
}
-#### Build OSL ####
+# ----------------------------------------------------------------------------
+# Build OSL
+
_init_osl() {
_src=$SRC/OpenShadingLanguage-$OSL_VERSION
_git=true
@@ -2034,7 +2091,9 @@ compile_OSL() {
run_ldconfig "osl"
}
-#### Build OSD ####
+# ----------------------------------------------------------------------------
+# Build OSD
+
_init_osd() {
_src=$SRC/OpenSubdiv-$OSD_VERSION
_git=true
@@ -2131,7 +2190,9 @@ compile_OSD() {
run_ldconfig "osd"
}
-#### Build Blosc ####
+# ----------------------------------------------------------------------------
+# Build Blosc
+
_init_blosc() {
_src=$SRC/c-blosc-$OPENVDB_BLOSC_VERSION
_git=false
@@ -2218,7 +2279,9 @@ compile_BLOSC() {
run_ldconfig "blosc"
}
-#### Build OpenVDB ####
+# ----------------------------------------------------------------------------
+# Build OpenVDB
+
_init_openvdb() {
_src=$SRC/openvdb-$OPENVDB_VERSION
_git=false
@@ -2319,7 +2382,9 @@ compile_OPENVDB() {
run_ldconfig "openvdb"
}
-#### Build Alembic ####
+# ----------------------------------------------------------------------------
+# Build Alembic
+
_init_alembic() {
_src=$SRC/alembic-$ALEMBIC_VERSION
_git=false
@@ -2412,7 +2477,9 @@ compile_ALEMBIC() {
run_ldconfig "alembic"
}
-#### Build OpenCOLLADA ####
+# ----------------------------------------------------------------------------
+# Build OpenCOLLADA
+
_init_opencollada() {
_src=$SRC/OpenCOLLADA-$OPENCOLLADA_VERSION
_git=true
@@ -2504,7 +2571,9 @@ compile_OpenCOLLADA() {
fi
}
-#### Build Embree ####
+# ----------------------------------------------------------------------------
+# Build Embree
+
_init_embree() {
_src=$SRC/embree-$EMBREE_VERSION
_git=true
@@ -2599,7 +2668,9 @@ compile_Embree() {
fi
}
-#### Build OpenImageDenoise ####
+# ----------------------------------------------------------------------------
+# Build OpenImageDenoise
+
_init_oidn() {
_src=$SRC/oidn-$OIDN_VERSION
_git=true
@@ -2691,7 +2762,9 @@ compile_OIDN() {
run_ldconfig "oidn"
}
-#### Build FFMPEG ####
+# ----------------------------------------------------------------------------
+# Build FFMPEG
+
_init_ffmpeg() {
_src=$SRC/ffmpeg-$FFMPEG_VERSION
_inst=$INST/ffmpeg-$FFMPEG_VERSION
@@ -2806,7 +2879,9 @@ compile_FFmpeg() {
}
-#### Install on DEB-like ####
+# ----------------------------------------------------------------------------
+# Install on DEB-like
+
get_package_version_DEB() {
dpkg-query -W -f '${Version}' $1 | sed -r 's/([0-9]+:)?(([0-9]+\.?)+([0-9]+)).*/\2/'
}
@@ -3341,7 +3416,9 @@ install_DEB() {
}
-#### Install on RPM-like ####
+# ----------------------------------------------------------------------------
+# Install on RPM-like
+
rpm_flavour() {
if [ -f /etc/redhat-release ]; then
if [ "`grep '[6-7]\.' /etc/redhat-release`" ]; then
@@ -3936,7 +4013,9 @@ install_RPM() {
}
-#### Install on ARCH-like ####
+# ----------------------------------------------------------------------------
+# Install on ARCH-like
+
get_package_version_ARCH() {
pacman -Si $1 | grep Version | tail -n 1 | sed -r 's/.*:\s+?(([0-9]+\.?)+).*/\1/'
}
@@ -4056,7 +4135,7 @@ install_ARCH() {
fi
if [ "$WITH_JACK" = true ]; then
- _packages="$_packages jack"
+ _packages="$_packages jack2"
fi
PRINT ""
@@ -4426,7 +4505,8 @@ install_ARCH() {
}
-#### Install on other distro (very limited!) ####
+# ----------------------------------------------------------------------------
+# Install on other distro (very limited!)
install_OTHER() {
PRINT ""
@@ -4621,7 +4701,8 @@ install_OTHER() {
fi
}
-#### Printing User Info ####
+# ----------------------------------------------------------------------------
+# Printing User Info
print_info_ffmpeglink_DEB() {
dpkg -L $_packages | grep -e ".*\/lib[^\/]\+\.so" | gawk '{ printf(nlines ? "'"$_ffmpeg_list_sep"'%s" : "%s", gensub(/.*lib([^\/]+)\.so/, "\\1", "g", $0)); nlines++ }'
@@ -4713,7 +4794,7 @@ print_info() {
_1="-D PYTHON_VERSION=$PYTHON_VERSION_MIN"
PRINT " $_1"
_buildargs="$_buildargs $_1"
- if [ -d $INST/python-$PYTHON_VERSION_MIN ]; then
+ if [ -d "$INST/python-$PYTHON_VERSION_MIN" ]; then
_1="-D PYTHON_ROOT_DIR=$INST/python-$PYTHON_VERSION_MIN"
PRINT " $_1"
_buildargs="$_buildargs $_1"
@@ -4889,7 +4970,9 @@ print_info() {
PRINT " cmake $_buildargs ."
}
-#### "Main" ####
+# ----------------------------------------------------------------------------
+# "Main"
+
# Detect distribution type used on this machine
if [ -f /etc/debian_version ]; then
DISTRO="DEB"
diff --git a/build_files/cmake/platform/platform_unix.cmake b/build_files/cmake/platform/platform_unix.cmake
index 5d46ee751af..e09287f05d9 100644
--- a/build_files/cmake/platform/platform_unix.cmake
+++ b/build_files/cmake/platform/platform_unix.cmake
@@ -53,6 +53,10 @@ if(EXISTS ${LIBDIR})
set(CMAKE_PREFIX_PATH ${LIBDIR}/zlib ${LIB_SUBDIRS})
set(WITH_STATIC_LIBS ON)
set(WITH_OPENMP_STATIC ON)
+ set(Boost_NO_BOOST_CMAKE ON)
+ set(BOOST_ROOT ${LIBDIR}/boost)
+ set(BOOST_LIBRARYDIR ${LIBDIR}/boost/lib)
+ set(Boost_NO_SYSTEM_PATHS ON)
endif()
if(WITH_STATIC_LIBS)
diff --git a/build_files/package_spec/build_debian.sh b/build_files/package_spec/build_debian.sh
deleted file mode 100755
index a6d94428a88..00000000000
--- a/build_files/package_spec/build_debian.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-# Builds a debian package from SVN source.
-#
-# For parallel builds use:
-# DEB_BUILD_OPTIONS="parallel=5" sh build_files/package_spec/build_debian.sh
-
-# this needs to run in the root dir.
-cd $(dirname $0)/../../
-rm -rf debian
-cp -a build_files/package_spec/debian .
-
-
-# Get values from blender to use in debian/changelog.
-# value may be formatted: 35042:35051M
-BLENDER_REVISION=$(svnversion | cut -d: -f2 | tr -dc 0-9)
-
-blender_version=$(grep BLENDER_VERSION source/blender/blenkernel/BKE_blender.h | tr -dc 0-9)
-blender_version_char=$(sed -ne 's/.*BLENDER_VERSION_CHAR.*\([a-z]\)$/\1/p' source/blender/blenkernel/BKE_blender.h)
-BLENDER_VERSION=$(expr $blender_version / 100).$(expr $blender_version % 100)
-
-# map the version a -> 1, to conform to debian naming convention
-# not to be confused with blender's internal subversions
-if [ "$blender_version_char" ]; then
- BLENDER_VERSION=${BLENDER_VERSION}.$(expr index abcdefghijklmnopqrstuvwxyz $blender_version_char)
-fi
-
-DEB_VERSION=${BLENDER_VERSION}+svn${BLENDER_REVISION}-bf
-
-# update debian/changelog
-dch -b -v $DEB_VERSION "New upstream SVN snapshot."
-
-
-# run the rules makefile
-rm -rf get-orig-source
-debian/rules get-orig-source SVN_URL=.
-mv *.gz ../
-
-# build the package
-debuild -i -us -uc -b
-
-
-# remove temp dir
-rm -rf debian
diff --git a/build_files/package_spec/debian/changelog b/build_files/package_spec/debian/changelog
deleted file mode 100644
index 0559bb0c4d8..00000000000
--- a/build_files/package_spec/debian/changelog
+++ /dev/null
@@ -1,5 +0,0 @@
-blender (2.56+svn34749-bf) unstable; urgency=low
-
- * New upstream SVN snapshot.
-
- -- Dan Eicher <dan@trollwerks.org> Wed, 09 Feb 2011 18:55:24 -0700
diff --git a/build_files/package_spec/debian/compat b/build_files/package_spec/debian/compat
deleted file mode 100644
index 7f8f011eb73..00000000000
--- a/build_files/package_spec/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-7
diff --git a/build_files/package_spec/debian/control b/build_files/package_spec/debian/control
deleted file mode 100644
index addd71760d8..00000000000
--- a/build_files/package_spec/debian/control
+++ /dev/null
@@ -1,24 +0,0 @@
-Source: blender
-Section: graphics
-Priority: extra
-Maintainer: Dan Eicher <dan@trollwerks.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, python3, python, libfreetype6-dev, libglu1-mesa-dev, libilmbase-dev, libopenexr-dev, libjpeg62-dev, libopenal-dev, libpng12-dev, libsdl-dev, libtiff4-dev, libx11-dev, libxi-dev, zlib1g-dev, python3.2-dev, libopenjpeg-dev
-Standards-Version: 3.9.1
-Homepage: http://blender.org/
-X-Python3-Version: >= 3.2, << 3.3
-
-Package: blender-snapshot
-Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
-Provides: blender
-Conflicts: blender
-Replaces: blender
-Description: Very fast and versatile 3D modeller/renderer
- Blender is an integrated 3d suite for modelling, animation, rendering,
- post-production, interactive creation and playback (games). Blender has its
- own particular user interface, which is implemented entirely in OpenGL and
- designed with speed in mind. Python bindings are available for scripting;
- import/export features for popular file formats like 3D Studio and Wavefront
- Obj are implemented as scripts by the community. Stills, animations, models
- for games or other third party engines and interactive content in the form of
- a standalone binary and/or a web plug-in are common products of Blender use.
diff --git a/build_files/package_spec/debian/copyright b/build_files/package_spec/debian/copyright
deleted file mode 100644
index 0f7287208af..00000000000
--- a/build_files/package_spec/debian/copyright
+++ /dev/null
@@ -1,41 +0,0 @@
-This work was packaged for Debian by:
-
- Dan Eicher <dan@trollwerks.org> on Tue, 08 Feb 2011 21:59:32 -0700
-
-It was downloaded from:
-
- http://blender.org
-
-Copyright:
-
- Copyright (C) 2002-2011 Blender Foundation
-
-License:
-
- This package is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
-
- This package is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- GNU General Public License for more details.
-
- You should have received a copy of the GNU General Public License
- along with this program. If not, see <http://www.gnu.org/licenses/>
-
-On Debian systems, the complete text of the GNU General
-Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
-
-
-The Debian packaging is:
-
- Copyright (C) 2011 Dan Eicher <dan@trollwerks.org>
-
-you can redistribute it and/or modify
-it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
-(at your option) any later version.
-
-
diff --git a/build_files/package_spec/debian/docs b/build_files/package_spec/debian/docs
deleted file mode 100644
index 886845257bc..00000000000
--- a/build_files/package_spec/debian/docs
+++ /dev/null
@@ -1,2 +0,0 @@
-release/text/copyright.txt
-release/text/readme.html
diff --git a/build_files/package_spec/debian/menu b/build_files/package_spec/debian/menu
deleted file mode 100644
index d69c7354f3c..00000000000
--- a/build_files/package_spec/debian/menu
+++ /dev/null
@@ -1,4 +0,0 @@
-?package(blender-snapshot):needs="X11" section="Applications/Graphics"\
- longtitle="Blender 3D modeler / renderer"\
- icon="/usr/share/icons/hicolor/scalable/apps/blender.svg"\
- title="blender" command="/usr/bin/blender"
diff --git a/build_files/package_spec/debian/rules b/build_files/package_spec/debian/rules
deleted file mode 100755
index 7a3d2d52adc..00000000000
--- a/build_files/package_spec/debian/rules
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/usr/bin/make -f
-# -*- makefile -*-
-
-SVN_URL := https://svn.blender.org/svnroot/bf-blender/trunk/blender
-REV := $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')
-VER := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
-REL := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+\.[0-9]+).*,\1,p')
-TARBALL = blender_$(VER).orig.tar.gz
-BLDDIR = debian/cmake
-
-%:
- dh $@ -Scmake -B$(BLDDIR) --parallel --with python3 --without python-support
-
-override_dh_auto_configure:
- # blender spesific CMake options
- dh_auto_configure -- \
- -DCMAKE_BUILD_TYPE:STRING=Release \
- -DWITH_INSTALL_PORTABLE:BOOL=OFF \
- -DWITH_PYTHON_INSTALL:BOOL=OFF \
- -DWITH_OPENCOLLADA:BOOL=OFF
-
-override_dh_auto_test:
- # don't run CTest
-
-override_dh_install:
- dh_install
-
- # remove duplicated docs
- rm -rf debian/blender-snapshot/usr/share/doc/blender
-
-override_dh_python3:
- dh_python3 -V 3.2-3.3 /usr/share/blender/$(REL)/scripts
-
-get-orig-source:
- rm -rf get-orig-source $(TARBALL)
- mkdir get-orig-source
- if [ "$(SVN_URL)" = . ] && [ `svnversion` = "$(REV)" ]; then \
- svn -q export . get-orig-source/blender-$(VER); \
- else \
- svn -q export -r $(REV) $(SVN_URL) get-orig-source/blender-$(VER); \
- fi
- GZIP='--best --no-name' tar czf $(TARBALL) -C get-orig-source blender-$(VER)
- rm -rf get-orig-source
- @echo "$(TARBALL) created; move it to the right destination to build the package"
diff --git a/build_files/package_spec/debian/source/format b/build_files/package_spec/debian/source/format
deleted file mode 100644
index 163aaf8d82b..00000000000
--- a/build_files/package_spec/debian/source/format
+++ /dev/null
@@ -1 +0,0 @@
-3.0 (quilt)
diff --git a/build_files/package_spec/debian/watch b/build_files/package_spec/debian/watch
deleted file mode 100644
index 0f8473b25ef..00000000000
--- a/build_files/package_spec/debian/watch
+++ /dev/null
@@ -1,3 +0,0 @@
-version=3
-opts=uversionmangle=s/[a-z]$/.$&/;s/[j-s]$/1$&/;s/[t-z]$/2$&/;tr/a-z/1-90-90-6/ \
-http://download.blender.org/source/blender-([0-9.]+[a-z]?)\.tar\.gz
diff --git a/build_files/package_spec/pacman/PKGBUILD b/build_files/package_spec/pacman/PKGBUILD
deleted file mode 100644
index aea5acd13e4..00000000000
--- a/build_files/package_spec/pacman/PKGBUILD
+++ /dev/null
@@ -1,66 +0,0 @@
-# Maintainer: Campbell Barton <ideasman42 at gmail dot com>
-
-# custom blender vars
-blender_srcdir=$(dirname $startdir)"/../.."
-blender_version=$(grep "BLENDER_VERSION\s" $blender_srcdir/source/blender/blenkernel/BKE_blender_version.h | awk '{print $3}')
-blender_version=$(expr $blender_version / 100).$(expr $blender_version % 100) # 256 -> 2.56
-blender_version_char=$(sed -ne 's/.*BLENDER_VERSION_CHAR.*\([a-z]\)$/\1/p' $blender_srcdir/source/blender/blenkernel/BKE_blender_version.h)
-# blender_subversion=$(grep BLENDER_SUBVERSION $blender_srcdir/source/blender/blenkernel/BKE_blender.h | awk '{print $3}')
-
-# map the version a -> 1
-# not to be confused with blender's internal subversions
-if [ "$blender_version_char" ]; then
- blender_version_full=${blender_version}.$(expr index abcdefghijklmnopqrstuvwxyz $blender_version_char)
-else
- blender_version_full=${blender_version}
-fi
-
-blender_ver_string=$blender_version+git$blender_version_full
-
-pkgname=blender-snapshot
-pkgver=$blender_ver_string
-pkgrel=1
-pkgdesc="A fully integrated 3D graphics creation suite"
-arch=('i686' 'x86_64')
-url="www.blender.org"
-license=('GPL')
-groups=()
-depends=('libjpeg' 'libpng' 'openjpeg' 'libtiff' 'openexr' 'python>=3.5'
- 'gettext' 'libxi' 'libxmu' 'mesa' 'freetype2' 'openal' 'sdl'
- 'libsndfile' 'ffmpeg')
-makedepends=('cmake' 'git')
-optdepends=()
-provides=()
-conflicts=('blender')
-replaces=('blender')
-backup=()
-options=()
-install=blender.install
-# use current git to make the package.
-# source=(http://download.blender.org/source/$pkgname-$pkgver.tar.gz)
-# md5sums=('27edb80c82c25252d43d6a01980d953a') #generate with 'makepkg -g'
-source=()
-md5sums=()
-noextract=()
-
-build() {
- mkdir -p $srcdir/build
- cd $srcdir/build
- cmake $blender_srcdir \
- -DCMAKE_INSTALL_PREFIX:PATH=/usr \
- -DCMAKE_BUILD_TYPE:STRING=Release \
- -DWITH_INSTALL_PORTABLE:BOOL=OFF \
- -DWITH_PYTHON_INSTALL:BOOL=OFF \
- -DWITH_OPENCOLLADA:BOOL=OFF
-
- make $MAKEFLAGS
-}
-
-package() {
- cd $srcdir/build
- make DESTDIR="$pkgdir" install
- python -m compileall \
- $pkgdir/usr/share/blender/$blender_version/scripts/startup \
- $pkgdir/usr/share/blender/$blender_version/scripts/modules \
- $pkgdir/usr/share/blender/$blender_version/scripts/addons
-}
diff --git a/build_files/package_spec/pacman/blender.install b/build_files/package_spec/pacman/blender.install
deleted file mode 100644
index f2d37ec7a2b..00000000000
--- a/build_files/package_spec/pacman/blender.install
+++ /dev/null
@@ -1,29 +0,0 @@
-post_install() {
- cat << EOF
-
-NOTE
-----
-Happy blending!
-
-EOF
- echo "update desktop mime database..."
- update-desktop-database
-}
-
-post_upgrade() {
- post_install $1
-}
-
-pre_remove() {
- /bin/true
-}
-
-post_remove() {
- echo "update desktop mime database..."
- update-desktop-database
-}
-
-op=$1
-shift
-
-$op $*
diff --git a/build_files/package_spec/rpm/blender.spec.in b/build_files/package_spec/rpm/blender.spec.in
deleted file mode 100644
index e75cc8ec7a6..00000000000
--- a/build_files/package_spec/rpm/blender.spec.in
+++ /dev/null
@@ -1,88 +0,0 @@
-# -*- rpm-spec -*-
-%global __python %{__python3}
-%global blender_api @CPACK_PACKAGE_VERSION_MAJOR@.@CPACK_PACKAGE_VERSION_MINOR@
-
-%define _rpmdir @CPACK_RPM_DIRECTORY@
-%define _rpmfilename @CPACK_RPM_FILE_NAME@
-%define _unpackaged_files_terminate_build 0
-%define _topdir @CPACK_RPM_DIRECTORY@
-
-BuildRoot: @CPACK_RPM_DIRECTORY@/@CPACK_PACKAGE_FILE_NAME@@CPACK_RPM_PACKAGE_COMPONENT_PART_PATH@
-Summary: @CPACK_RPM_PACKAGE_SUMMARY@
-Name: @CPACK_RPM_PACKAGE_NAME@
-Version: @CPACK_RPM_PACKAGE_VERSION@
-Release: @CPACK_RPM_PACKAGE_RELEASE@%{?dist}
-License: @CPACK_RPM_PACKAGE_LICENSE@
-Group: @CPACK_RPM_PACKAGE_GROUP@
-Vendor: @CPACK_RPM_PACKAGE_VENDOR@
-Epoch: 1
-
-Requires(post): desktop-file-utils
-Requires(post): shared-mime-info
-Requires(postun): desktop-file-utils
-Requires(postun): shared-mime-info
-
-Provides: blender(ABI) = %{blender_api}
-Provides: blender-fonts = %{?epoch:%{epoch}:}%{version}-%{release}
-
-Obsoletes: blender-fonts <= 2.49a-9
-
-%description
-Blender is an integrated 3d suite for modelling, animation, rendering,
-post-production, interactive creation and playback (games). Blender has its
-own particular user interface, which is implemented entirely in OpenGL and
-designed with speed in mind. Python bindings are available for scripting;
-import/export features for popular file formats like 3D Studio and Wavefront
-Obj are implemented as scripts by the community. Stills, animations, models
-for games or other third party engines and interactive content in the form of
-a standalone binary and/or a web plug-in are common products of Blender use.
-
-# This is a shortcutted spec file generated by CMake RPM generator
-# we skip _install step because CPack does that for us.
-# We do only save CPack installed tree in _prepr
-# and then restore it in build.
-%prep
-mv ${RPM_BUILD_ROOT} "@CPACK_TOPLEVEL_DIRECTORY@/tmpBBroot"
-
-%install
-if [ -e ${RPM_BUILD_ROOT} ];
-then
- rm -rf ${RPM_BUILD_ROOT}
-fi
-mv "@CPACK_TOPLEVEL_DIRECTORY@/tmpBBroot" ${RPM_BUILD_ROOT}
-
-rm -f ${RPM_BUILD_ROOT}%{_bindir}/blender-thumbnailer.py
-
-%find_lang %{name}
-
-%clean
-rm -rf ${RPM_BUILD_ROOT}
-
-%post
-touch --no-create %{_datadir}/icons/hicolor
-if [ -x %{_bindir}/gtk-update-icon-cache ]; then
- %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
-fi
-%{_bindir}/update-desktop-database %{_datadir}/applications || :
-
-%postun
-%{_bindir}/update-desktop-database %{_datadir}/applications
-touch --no-create %{_datadir}/icons/hicolor
-if [ -x %{_bindir}/gtk-update-icon-cache ]; then
- %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
-fi || :
-
-%files -f blender.lang
-%defattr(-,root,root,-)
-%{_bindir}/%{name}
-%{_datadir}/%{name}/%{blender_api}/datafiles/fonts
-%{_datadir}/%{name}/%{blender_api}/datafiles/colormanagement
-%{_datadir}/%{name}/%{blender_api}/datafiles/locale/languages
-%{_datadir}/%{name}/%{blender_api}/scripts
-%{_datadir}/icons/hicolor/*/apps/%{name}.*
-%{_datadir}/applications/%{name}.desktop
-%{_datadir}/doc/%{name}
-%{_mandir}/man1/%{name}.*
-
-%changelog
-@CPACK_RPM_SPEC_CHANGELOG@